cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
704
Views
5
Helpful
6
Replies

2960s switch - Can I go from Version 12.2(55)SE to 15.2(2)E9?

cnsinstall
Beginner
Beginner

Need help:-

2960s switch - Can I go from Version 12.2(55)SE to 15.2(2)E9?

6 Replies 6

Martin L
VIP Advisor VIP Advisor
VIP Advisor

 

Yes, it seems that all models of c2960 can support at least IOS 15.0 

15.2.x is for X model. that is what you have, right?

since there are several models, make sure you choose correct one - difference in size of RAM and flash storage. 

 

go to  https://software.cisco.com/download/home/279935165?catid=268438038

 

Regards, ML
**Please Rate All Helpful Responses **

Thank a lot Martin for quick reply. I have various models of 2960 including 2960x.

 

The release I am trying to go from 12.2 to 15.x.

Re


well, it seems that u can get IOS for older as well as newer X models. Just make sure u upgrade switch model with appropriate IOS version as older models seemed to stop at 15.0 whereas IOS 15.2 is the latest for newer ones.

Leo Laohoo
VIP Community Legend VIP Community Legend
VIP Community Legend
You can go direct.
Note: There is a possibility of an automatic ROMMON/bootstrap upgrade and this can take up to 20 minutes.

Thanks for precise answer. 

 

We have a basic SVI configured with default gateway, also ISE authentication is enabled on some of the ports(Mab commands). is there any configuration change ? 

 

Also you mentioned Rommon upgrade, do I have to use same .bin file or .tar file ?

Leo Laohoo
VIP Community Legend VIP Community Legend
VIP Community Legend

No changes necessary.
If you want to get the upgrade done right, use the TAR file. To push the firmware to the switch:

archive download-sw tftp://TFTP_IP_ADDRESS/IOS_filename.tar
Getting Started

Find answers to your questions by entering keywords or phrases in the Search bar above. New here? Use these resources to familiarize yourself with the community: